module factorymethod.pizzafactorymethod.chicagostyleveggiepizza;

import factorymethod.pizzafactorymethod.pizza;
import std.stdio : writeln;

class ChicagoStyleVeggiePizza : Pizza
{
    this()
    { 
        name = "Chicago Deep Dish Veggie Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";
 
        toppings ~= "Shredded Mozzarella Cheese";
        toppings ~= "Black Olives";
        toppings ~= "Spinach";
        toppings ~= "Eggplant";
    }
 
    override void cut()
    {
        writeln("Cutting the pizza into square slices");
    }
}
